const yLevel = Math.floor(0.5);
console.log(`${yLevel}`);

const item = "megaverse:fieldstone_slab";
const itemNamespaceSplit = item.split(":");
const removeSlabSplit = itemNamespaceSplit[1].split("_slab");
console.log(`${itemNamespaceSplit[0]}:${removeSlabSplit[0]}_double_slab`);
const itemE = "megaverse:fieldstone_double_slab";
const itemNamespaceSplitE = itemE.split(":");
const removeSlabSplitE = itemNamespaceSplitE[1].split("_slab");
if (itemE) {
	if (itemE.includes("_double_")) console.log("block is double, therefore false.");
	else console.log(`${itemNamespaceSplitE[0]}:${removeSlabSplitE[0]}`);
}
const typeId = "megaverse:fieldstone_brick_double_slab";
const blockNamespaceSplit = typeId.split(":");
const removeDoubleSlab = blockNamespaceSplit[1].split("_double");
console.log(`${blockNamespaceSplit[0]}:${removeDoubleSlab[0]}${removeDoubleSlab[1]}`);

const namespace = "minecraft:";
const entity = "minecraft:hoglin";
const identifier = entity.split(namespace);
console.log(identifier[1].length-1);

const maxdurability = 132;
const remainingdurability = 100;
//const equation = Math.floor(remainingdurability>maxdurability*0.99?maxdurability*0.33:maxdurability-remainingdurability);
const equation = Math.round(maxdurability*0.25);
console.log(equation);
const e = 3;
const a = 1;
const x = a/e;
console.log(x);
const b = 2;
const y = b/e;
console.log(y);
const c = 3;
const z = c/e;
console.log(z);
const n = 0;
const w = n/e;
console.log(w);
console.log(100/1+1);